<?php
namespace Sifency\Traits;

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if ( ! defined( 'ABSPATH' ) ) {
	exit;  }

trait Sifency_Addons_TB_Separator_Content_Controls {
	protected function add_sifency_addons_separator_content_controls() {
		$this->start_controls_section(
			'section_separator_content',
			array(
				'label' => esc_html__( 'Separator', 'sifency-addons' ),
			)
		);

		$this->add_control(
			'show_separator',
			array(
				'label'        => esc_html__( 'Show Separator', 'sifency-addons' ),
				'type'         => Controls_Manager::SWITCHER,
				'label_on'     => esc_html__( 'Show', 'sifency-addons' ),
				'label_off'    => esc_html__( 'Hide', 'sifency-addons' ),
				'return_value' => 'yes',
			)
		);

		$this->add_control(
			'separator_text',
			array(
				'label'       => esc_html__( 'Separator Text', 'sifency-addons' ),
				'type'        => Controls_Manager::TEXT,
				'default'     => ':',
				'placeholder' => ':',
				'condition'   => array(
					'show_separator' => 'yes',
				),
			)
		);

		$this->end_controls_section();
	}
}
